package com.yihu.hos.system.model;

/**
 * SystemOrganization entity. @author MyEclipse Persistence Tools
 */

public class SystemOrganization implements java.io.Serializable {

	// Fields

	private String id;
	private String fullName;
	private String pid;
	private String activityFlag;
	private String code;
	private String shortName;
	private String pyCode;



	private String area;
	private String address;
	private String orgType;
	private String settled;
	private String settledWay;
	private String tel;



	private String tags;
	private String qlcOrgCode;
	private String qlcAdapterVersion;




	// Constructors

	/** default constructor */
	public SystemOrganization() {
	}

	/** minimal constructor */
	public SystemOrganization(String fullName, String pid, String activityFlag) {
		this.fullName = fullName;
		this.pid = pid;
		this.activityFlag = activityFlag;
	}

	/** full constructor */
	public SystemOrganization(String fullName, String pid, String activityFlag, String code, String shortName, String pyCode, String area, String address, String orgType, String settled, String settledWay, String tel, String tags) {
		this.fullName = fullName;
		this.pid = pid;
		this.activityFlag = activityFlag;
		this.code = code;
		this.shortName = shortName;
		this.pyCode = pyCode;
		this.area = area;
		this.address = address;
		this.orgType = orgType;
		this.settled = settled;
		this.settledWay = settledWay;
		this.tel = tel;
		this.tags = tags;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getFullName() {
		return this.fullName;
	}

	public void setFullName(String fullName) {
		this.fullName = fullName;
	}

	public String getPid() {
		return this.pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getActivityFlag() {
		return this.activityFlag;
	}

	public void setActivityFlag(String activityFlag) {
		this.activityFlag = activityFlag;
	}

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getShortName() {
		return this.shortName;
	}

	public void setShortName(String shortName) {
		this.shortName = shortName;
	}

	public String getPyCode() {
		return this.pyCode;
	}

	public void setPyCode(String pyCode) {
		this.pyCode = pyCode;
	}

	public String getArea() {
		return this.area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public String getAddress() {
		return this.address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getOrgType() {
		return this.orgType;
	}

	public void setOrgType(String orgType) {
		this.orgType = orgType;
	}

	public String getSettled() {
		return this.settled;
	}

	public void setSettled(String settled) {
		this.settled = settled;
	}

	public String getSettledWay() {
		return this.settledWay;
	}

	public void setSettledWay(String settledWay) {
		this.settledWay = settledWay;
	}

	public String getTel() {
		return this.tel;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public String getTags() {
		return this.tags;
	}

	public void setTags(String tags) {
		this.tags = tags;
	}

	public String getQlcOrgCode() {
		return qlcOrgCode;
	}

	public void setQlcOrgCode(String qlcOrgCode) {
		this.qlcOrgCode = qlcOrgCode;
	}

	public String getQlcAdapterVersion() {
		return qlcAdapterVersion;
	}

	public void setQlcAdapterVersion(String qlcAdapterVersion) {
		this.qlcAdapterVersion = qlcAdapterVersion;
	}
}